#pragma once
#include <iostream>
using namespace std;

class MotifButton : public Widget {
   public:
      void draw() { cout << "MotifButton\n"; }
};

class MotifMenu : public Widget {
   public:
      void draw() { cout << "MotifMenu\n"; }
};

class MotifWidgetFactory : public WidgetFactory {
   public:
      Widget* create_button() {
         return new MotifButton; }
      Widget* create_menu()   {
         return new MotifMenu; }
};

