#pragma once
#include <list>
using namespace std;

class Observer;

class Observable 
{
   public:
	   virtual ~Observable() {};
		virtual void attach(Observer *);
		virtual void detach(Observer *);
		virtual void notify();
   protected:
	   Observable() {};
   private:
		list<Observer*> _observers;
}; 
