#pragma once
#include <iostream>
using namespace std;

class WindowsButton : public Widget {
   public:
      void draw() { cout << "WindowsButton\n"; }
};

class WindowsMenu : public Widget {
   public:
      void draw() { cout << "WindowsMenu\n"; }
};

class WindowsWidgetFactory : public WidgetFactory {
   public:
      Widget* create_button() {
         return new WindowsButton; }
      Widget* create_menu()   {
         return new WindowsMenu; }
};
